#include <stdio.h>

void a() {
    int i, j;
    for (i = 1; i <= 9; i++) {
        for (j = 1; j <= 9; j++) {
            printf("%d*%d=%d ", i, j, i * j);
        }
        printf("\n");
    }
}

void b() {
    int i, j;
    for (i = 1; i <= 9; i++) {
        for (j = 1; j <= 9; j++) {
            if (j >= i) {
                printf("%d*%d=%d ", i, j, i * j);
            } else {
                printf(" ");
            }
        }
        printf("\n");
    }
}

void c() {
    int i, j;
    for (i = 1; i <= 9; i++) {
        for (j = 1; j <= 9; j++) {
            if (j <= i) {
                printf("%d*%d=%d ", i, j, i * j);
            } else {
                printf("\t");
            }
        }
        printf("\n");
    }
}

int main() {
    int choice;
    scanf("%d", &choice);

    switch (choice) {
        case 0:
            a();
            break;
        case 1:
            b();
            break;
        case 2:
            c();
            break;
        default:
            printf("\n");
    }
    return 0;
}




